> ## Documentation Index
> Fetch the complete documentation index at: https://docs.knoxcall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Secret

> Permanently deletes a secret and all of its environment-specific values

## Delete Secret

```http theme={"dark"}
DELETE /v1/secrets/:id
```

Permanently deletes a secret and all of its environment-specific values.

### Path Parameters

| Parameter | Type | Description   |
| --------- | ---- | ------------- |
| `id`      | uuid | The secret ID |

### Response

```json theme={"dark"}
{
  "data": { "deleted": true },
  "meta": { "request_id": "550e8400-e29b-41d4-a716-446655440000" }
}
```

### Errors

| Status | Type        | Description                                        |
| ------ | ----------- | -------------------------------------------------- |
| 404    | `not_found` | Secret not found                                   |
| 409    | `in_use`    | Secret is currently assigned to one or more routes |

<Warning>
  You cannot delete a secret that is in use by a route. Remove the secret from all routes first, then delete it.
</Warning>
